package com.njcn.harmonic.service.upload;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;

import com.njcn.harmonic.pojo.param.UploadDataParam;
import com.njcn.harmonic.pojo.param.upload.PmsTemUserParam;
import com.njcn.harmonic.pojo.po.upload.PmsTemUserPO;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 电能质量全过程管理用户 服务类
 * </p>
 *
 * @author cdf
 * @since 2024-10-09
 */
public interface IPmsTemUserService extends IService<PmsTemUserPO> {


    Boolean addPmsTemUser(PmsTemUserParam param);



    Boolean updatePmsTemUser(PmsTemUserParam.UpdatePmsTemUserParam updatePmsTemUserParam);


    Boolean delPmsTemUser(List<String> ids);



    Page<PmsTemUserPO> pageList(PmsTemUserParam.QueryPmsTemUserParam param);

    List<PmsTemUserPO> selectList(PmsTemUserParam.QueryPmsTemUserParam param);


    Boolean upGwTemUser(List<String> ids);

}
